apiVersion: "ryax.tech/v1"
kind: Functions
spec:
  id: gettweets
  human_name: Get from Twitter API
  type: python3
  version: "1.0"
  logo: logo.png
  detail: "Pull tweets off of twitter and store them + metadata."
  inputs:
    - help: 'Integer number of tweets to fetch.'
      human_name: Number of tweets
      name: num_tweets 
      type: integer
    - help: 'The query to search for tweets on.'
      human_name: Query
      name: query
      type: string
    - help: 'API Key'
      human_name: API Key
      name: api_key
      type: string
    - help: 'API secret key'
      human_name: API Secret Key
      name: api_secret_key
      type: string
    - help: 'Access Token'
      human_name: Access Token (key)
      name: access_key
      type: string
    - help: 'Access Secret'
      human_name: Access Secret
      name: access_secret
      type: string
  outputs:
    - help: 'Tweet results'
      human_name: Resulting data
      name: data_path
      type: file

